.\" Copyright (c) 1989, 1990, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)strip.1	8.1 (Berkeley) 6/6/93
.\" $FreeBSD: src/usr.bin/strip/strip.1,v 1.3.2.2 1999/09/05 11:33:09 peter Exp $
.\"
.Dd June 6, 1993
.Dt STRIP 1
.Os
.Sh NAME
.Nm strip
.Nd remove unnecessary information from executable files
.Sh SYNOPSIS
.Nm
.Op Fl d
.Op Fl x
.Ar
.Sh DESCRIPTION
The
.Nm
utility
deletes the relocation information and symbol table used by
assemblers, loaders and debuggers.
This significantly
decreases the size of the installed binaries and saves disk space.
.Pp
The options are as follows:
.Bl -tag -width Ds
.It Fl d
Delete only debugging and empty symbols.
.It Fl x
Delete only debugging, compiler identification, and local symbols.
.El
.Pp
.Nm Strip
exits 0 on success and 1 if an error occurred.
.Sh SEE ALSO
.Xr cc 1 ,
.Xr ld 1 ,
.Xr stab 5
.Sh HISTORY
A
.Nm
command appeared in
.At v1 .
